Bug 197567 - Epson 2580 Photo USB Scanner gives device descriptor read/64, error when connected
Summary: Epson 2580 Photo USB Scanner gives device descriptor read/64, error when conn...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-04 08:08 UTC by Bernado Pehar
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 09:52:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernado Pehar 2006-07-04 08:08:03 UTC
Description of problem:
With Fedora Core 5 and Kernel 2.6.17-1.2139_FC5 I can't use my Epson Photo 2580
USB Scanner anymore. In the dmesg output I see following errors when connecting
the scanner:
usb 4-2: new full speed USB device using uhci_hcd and address 3
usb 4-2: device descriptor read/64, error -110
usb 4-2: device descriptor read/64, error -110
usb 4-2: new full speed USB device using uhci_hcd and address 4
usb 4-2: device descriptor read/64, error -110
usb 4-2: device descriptor read/64, error -110
usb 4-2: new full speed USB device using uhci_hcd and address 5
usb 4-2: device descriptor read/8, error -110
usb 4-2: device descriptor read/8, error -110
usb 4-2: new full speed USB device using uhci_hcd and address 6
usb 4-2: device descriptor read/8, error -110
usb 4-2: device descriptor read/8, error -110

My scanner worked under Fedora Core 4 with Kernel Version 2.4.XXX

Version-Release number of selected component (if applicable):
Fedora Core 5
Kernel 2.6.17-1.2139_FC5

How reproducible:
Just connect the scanner to the PC. It is connected over a 2.0 USB Hub connected
to the PCI Port of the PC.

Steps to Reproduce:
1. Boot PC
2. Connect scanner
3. Scanner not found by xsane backend, dmesg errors created.
  
Actual results:
Not able to use the scanner with Kooka/xsane

Expected results:
Able to use the scanner

Additional info:
I can attach the complete dmesg output to this bug if deemed necessary. I have
been following some other bugs that have similar error messages, though not the
same. Some of them have been solved with the kernel version I have, but it still
doesn't work for me.

Comment 1 Bernado Pehar 2006-07-06 10:58:33 UTC
The problem persists with Kernel 2.6.17-1.2145_FC5.

Comment 2 Bernado Pehar 2006-07-10 09:52:18 UTC
The Problem has been solved. It was a hardware issue and has nothing to do with
the kernel. The Scanner works now again !


Note You need to log in before you can comment on or make changes to this bug.